package intrinsic.mx.effects;

public interface IEffectInstance {

	/** Accessors */
//	public int startDelay;
//	public intrinsic.mx.effects.IEffectTargetHost effectTargetHost;
//	public double duration;
//	public int repeatCount;
//	public String className;
//	public intrinsic.mx.effects.effectClasses.PropertyChanges propertyChanges;
//	public Object target;
//	public boolean suspendBackgroundProcessing;
//	public intrinsic.mx.effects.Effect effect;
//	public double playheadTime;
//	public intrinsic.flash.events.Event triggerEvent;
//	public int repeatDelay;
//	public boolean hideFocusRing;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void finishEffect();
public void finishRepeat();
public void reverse();
public void startEffect();
public void end();
public void resume();
public void pause();
public void stop();
public void play();
public void initEffect(intrinsic.flash.events.Event arg0);

}
